gnutls_subject_alt_names_get(3)

NAME
gnutls_subject_alt_names_get - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_subject_alt_names_get(gnutls_subject_alt_names_t sans, unsigned int seq, unsigned int * san_type, gnutls_datum_t * san, gnutls_datum_t * othername_oid);

ARGUMENTS

gnutls_subject_alt_names_t sans
    The alternative names

unsigned int seq
    The index of the name to get

unsigned int * san_type
    Will hold the type of the name (of gnutls_subject_alt_names_t)

gnutls_datum_t * san
    The alternative name data (should be treated as constant)

gnutls_datum_t * othername_oid
    The object identifier if san_type is GNUTLS_SAN_OTHERNAME (should be treated as constant)

DESCRIPTION
This function will return a specific alternative name as stored in the sans type. The returned values should be treated as constant and valid for the lifetime of sans .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the index is out of bounds, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/